aboutsummaryrefslogtreecommitdiffstats
path: root/bin/update-scripts-repo.sh
diff options
context:
space:
mode:
authorclyhtsuriva <aimeric@adjutor.xyz>2022-11-02 23:28:41 +0100
committerclyhtsuriva <aimeric@adjutor.xyz>2022-11-02 23:28:41 +0100
commitbc38deaab64ac0c4cf4320aa6137422b8ba95a0c (patch)
treeb078215bc9d19234802d0f11f3be1540a5a30efa /bin/update-scripts-repo.sh
parent6b372364a4adca1cbcc9114c0d86712e9df0e420 (diff)
downloadscripts-bc38deaab64ac0c4cf4320aa6137422b8ba95a0c.tar.gz
scripts-bc38deaab64ac0c4cf4320aa6137422b8ba95a0c.tar.bz2
scripts-bc38deaab64ac0c4cf4320aa6137422b8ba95a0c.zip
Updating the script for this repo and adding rc.sh
Diffstat (limited to '')
-rwxr-xr-xbin/update-scripts-repo.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/bin/update-scripts-repo.sh b/bin/update-scripts-repo.sh
index 89bfa36..e699472 100755
--- a/bin/update-scripts-repo.sh
+++ b/bin/update-scripts-repo.sh
@@ -3,6 +3,12 @@
SCRIPTS_REPO_PATH="$HOME/workbench/scripts/"
-cp -rv "$HOME/.local/usr/local/bin" "$SCRIPTS_REPO_PATH"
-cp -rv "$HOME/workbench/auto-void-packages" "$SCRIPTS_REPO_PATH"
-cp -rv "$HOME/workbench/ansible" "$SCRIPTS_REPO_PATH"
+pushd "$SCRIPTS_REPO_PATH" || exit 1
+
+cp -rv "$HOME/.local/usr/local/bin" .
+cp -rv "$HOME/workbench/auto-void-packages" .
+cp -rv "$HOME/workbench/ansible" .
+
+git add . && git commit && git push -v --progress
+
+popd || exit 1